Blog

Release Moodle 3.5; AVG-compliance

17 mei 2018

Met maar drie dagen vertraging is vanmorgen Moodle 3.5 uitgebracht. Toch knap als je ziet wat je allemaal in deze nieuwe release voor elkaar hebben gekregen!

De focus van Moodle 3.5 lag helemaal op de AVG (GDPR). Door te upgraden naar deze versie en alle instellingen goed te configureren, zorg je dat jouw Moodle site AVG-compliant is. Het is de verantwoordelijkheid van de eigenaar van de site  (Gegevensverantwoordelijke) om dit te regelen, c.q. de opdracht te verlenen voor de upgrade. Lees meer over de impact van de Algemene Verordening Gegevensbescherming op Moodle in onze serie Moodle & Privacy.

Is de AVG-compliance de enige functionaliteit die Moodle 3.5 interessant maakt? Nee, er zijn meer nieuwe functies en verbeteringen doorgevoerd, namelijk:

    • taggen van toetsvragen
    • usability verbetering met Boost 4.0
    • cursusafbeelding tonen op het dashboard
    • ondersteuning voor LTI advantage 1.1
    • RecordRTC for Atto (opnemen van video/audio zonder externe server)

Moodle_3.5.png

Met deze halfjaarlijkse release worden ook altijd de nieuwe minor releases (updates) uitgebracht voor de ondersteunende versie. Dit zijn de nieuwe versies inclusief releases notes:

Voor versie 3.2.x en 3.1.x worden alleen beveiligingsupdates uitgebracht en voor versie 3.3.x en 3.4.x zijn wel de ‘AVG-plugins’ beschikbaar, maar worden niet automatisch geïnstalleerd bij het updaten.

Ons dringend advies blijft om te upgraden naar Moodle 3.5 om AVG-compliance te worden.

Tags

 

Reacties gesloten